cascading.flow.planner.graph

## Class ElementMaskSubGraph

- java.lang.Object
- - cascading.flow.planner.graph.BaseElementGraph
  - - cascading.flow.planner.graph.ElementMaskSubGraph

All Implemented Interfaces:
  ElementGraph, java.io.Serializable

    public class ElementMaskSubGraph
    extends BaseElementGraph
    implements ElementGraph

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class cascading.flow.planner.graph.BaseElementGraph

`graph, NULL`

### Constructor Summary

Constructors
`` `ElementMaskSubGraph(ElementGraph elementGraph, java.util.Collection<FlowElement> maskedFlowElements)`
`` `ElementMaskSubGraph(ElementGraph elementGraph, java.util.Collection<FlowElement> maskedFlowElements, java.util.Collection<Scope> maskedScopes)`
`protected` `ElementMaskSubGraph(ElementGraph elementGraph, cascading.flow.planner.graph.ElementMaskSubGraph.FlowElementMaskFunctor flowElementMaskFunctor)`
`` `ElementMaskSubGraph(ElementGraph elementGraph, FlowElement... maskedFlowElements)`
`` `ElementMaskSubGraph(ElementMaskSubGraph graph)`

### Method Summary

Methods
`ElementGraph` `copyElementGraph()`

### Methods inherited from class cascading.flow.planner.graph.BaseElementGraph

`addEdge, addEdge, addHeadVertex, addTailVertex, addVertex, allowMultipleExtentEdges, bindExtents, containsEdge, containsEdge, containsVertex, copyFrom, edgeSet, edgesOf, equals, getAllEdges, getEdge, getEdgeSource, getEdgeTarget, hashCode, incomingEdgesOf, inDegreeOf, outDegreeOf, outgoingEdgesOf, predecessorListOf, removeAllEdges, removeAllEdges, removeAllVertices, removeEdge, removeEdge, removeVertex, successorListOf, vertexSet, vertexSetCopy, writeDOT`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface cascading.flow.planner.graph.ElementGraph

`addEdge, addEdge, addHeadVertex, addTailVertex, addVertex, bindExtents, containsEdge, containsEdge, containsVertex, edgeSet, edgesOf, getAllEdges, getEdge, getEdgeSource, getEdgeTarget, incomingEdgesOf, inDegreeOf, outDegreeOf, outgoingEdgesOf, predecessorListOf, removeAllEdges, removeAllEdges, removeAllVertices, removeEdge, removeEdge, removeVertex, successorListOf, vertexSet, vertexSetCopy, writeDOT`

### Constructor Detail

#### ElementMaskSubGraph

    public ElementMaskSubGraph(ElementGraph elementGraph,
                       FlowElement... maskedFlowElements)

#### ElementMaskSubGraph

    public ElementMaskSubGraph(ElementGraph elementGraph,
                       java.util.Collection<FlowElement> maskedFlowElements)

#### ElementMaskSubGraph

    public ElementMaskSubGraph(ElementGraph elementGraph,
                       java.util.Collection<FlowElement> maskedFlowElements,
                       java.util.Collection<Scope> maskedScopes)

#### ElementMaskSubGraph

    public ElementMaskSubGraph(ElementMaskSubGraph graph)

#### ElementMaskSubGraph

    protected ElementMaskSubGraph(ElementGraph elementGraph,
                       cascading.flow.planner.graph.ElementMaskSubGraph.FlowElementMaskFunctor flowElementMaskFunctor)

### Method Detail

#### copyElementGraph

    public ElementGraph copyElementGraph()

Specified by:
  `copyElementGraph` in interface `ElementGraph`